Versi Graph API

Page Crosspost Whitelisted Pages

Membaca

Pages which have established a crossposting relationship with this Page

Contoh

Graph API Explorer
GET /v25.0/{page-id}/crosspost_whitelisted_pages HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{page-id}/crosspost_whitelisted_pages',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{page-id}/crosspost_whitelisted_pages",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{page-id}/crosspost_whitelisted_pages",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{page-id}/crosspost_whitelisted_pages"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Jika Anda ingin mempelajari cara menggunakan Graph API, baca Menggunakan panduan Graph API kami.

Parameter

Titik akhir ini tidak memiliki parameter.

Kolom

Jika membaca dari edge ini, maka akan mengembalikan hasil berformat JSON:

{ "data": [], "paging": {} }

data

Daftar dari node Page.

Kolom berikut ini akan ditambahkan ke masing-masing node yang dikembalikan:

KolomKeterangan
allows_live_crossposts
bool

Whether the Page has allowed your Page to automatically crosspost specific live videos

paging

Untuk perincian selengkapnya tentang penomoran halaman, lihat panduan Graph API.

Error Codes

KesalahanDescription
200Permissions error
210User not visible
100Invalid parameter
80001There have been too many calls to this Page account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.
283That action requires the extended permission pages_read_engagement and/or pages_read_user_content and/or pages_manage_ads and/or pages_manage_metadata

Membuat

Anda tidak dapat melakukan operasi ini pada titik akhir ini.

Memperbarui

Anda tidak dapat melakukan operasi ini pada titik akhir ini.

Menghapus

Anda tidak dapat melakukan operasi ini pada titik akhir ini.